Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Interface PKCS11SecretKeyParameterSpec

All Superinterfaces:
  java.security.spec.AlgorithmParameterSpec

All Known Implementing Classes:
  DESedePKCS11KeyParameterSpec, DESPKCS11KeyParameterSpec, GeneralPKCS11KeyParameterSpec

    public interface PKCS11SecretKeyParameterSpec

extends java.security.spec.AlgorithmParameterSpec

This class specifies a PKCS11 Secret key generation spec

Method Summary
`java.lang.Boolean` | `getEncrypt()` Returns the if the key can be used for encryption/decryption operations.
`java.lang.Boolean` | `getExtractable()` Returns the if the key can be wrapped by another key.
`java.lang.String` | `getKeyID()` Returns the associated key identifier.
`java.lang.Integer` | `getKeyType()` Returns the key type
`java.lang.String` | `getLabel()` Returns the label for the key.
`java.lang.Boolean` | `getSensitive()` Returns the if the key is to be sensitive.
`java.lang.Boolean` | `getToken()` Returns the if the the keys are session or token key.
`java.lang.Boolean` | `getWrap()` Returns the if the key can be used for wrapping operations.

Method Detail

### getKeyType

    java.lang.Integer getKeyType()

  Returns the key type

  Returns:
    the key type

### getKeyID

    java.lang.String getKeyID()

  Returns the associated key identifier.

  Returns:
    the key identifier

### getLabel

    java.lang.String getLabel()

  Returns the label for the key.

  Returns:
    the label.

### getToken

    java.lang.Boolean getToken()

  Returns the if the the keys are session or token key.

  Returns:
    true if keys are token key, false they are only related to the session.

### getSensitive

    java.lang.Boolean getSensitive()

  Returns the if the key is to be sensitive.

  Returns:
    true if the key is to sensitive, false otherwise.

### getEncrypt

    java.lang.Boolean getEncrypt()

  Returns the if the key can be used for encryption/decryption operations.

  Returns:
    true if the key can do encryption/decryption operations, false otherwise.

### getWrap

    java.lang.Boolean getWrap()

  Returns the if the key can be used for wrapping operations.

  Returns:
    true if the key can do wrapping operations, false otherwise.

### getExtractable

    java.lang.Boolean getExtractable()

  Returns the if the key can be wrapped by another key.

  Returns:
    true if the key can be wrapped by another key, false otherwise.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD